=== po/CMakeLists.txt ===
include(Translations)
add_translations_directory("granite")
add_translations_catalog("granite" ../lib/ ../lib/Widgets/ ../lib/Services/ ../lib/Drawing/)
