=== debian/changelog ===
granite (0.1.0-0ubuntu2) quantal; urgency=low

  * debian/libgranite-dev.install: install .vapi files in /usr/share/vala/vapi
    directory.
  * debian/control: replace valac-0.14 with valac in Build-Depdns field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 25 Jun 2012 23:18:21 +0200

granite (0.1.0-0ubuntu1) precise; urgency=low

  * Initial release (LP: #932407).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 11 Feb 2012 22:32:56 +0100
