=== debian/control ===
Source: granite
Section: libs
Priority: optional
Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, valac, libgtk-3-dev, gobject-introspection, libgirepository1.0-dev, gir1.2-gtk-3.0, gir1.2-glib-2.0, libgee-dev
Standards-Version: 3.9.2
Homepage: https://launchpad.net/granite

Package: libgranite0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extension of GTK+ libraries
 Granite is an extension of GTK+. Among other things, it provides the
 commonly-used widgets such as modeswitchers, welcome screens, AppMenus,
 search bars, and more found in elementary apps.
 .
 This package contains the shared library.

Package: libgranite-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libgranite0 (= ${binary:Version})
Description: extension of GTK+ libraries (development files)
 Granite is an extension of GTK+. Among other things, it provides the
 commonly-used widgets such as modeswitchers, welcome screens, AppMenus,
 search bars, and more found in elementary apps.
 .
 This package contains the static library and header files.

Package: granite-demo
Section: misc
Architecture: any
Depends: libgranite0 (= ${binary:Version}), ${shlibs:Depends},
 ${misc:Depends} 
Description: extension of GTK+ libraries (demo binary)
 Granite is an extension of GTK+. Among other things, it provides the
 commonly-used widgets such as modeswitchers, welcome screens, AppMenus,
 search bars, and more found in elementary apps.
 .
 This package contains a small demo application to show Granite Widgets.

Package: libgranite0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgranite0
 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: extension of GTK+ libraries (debugging symbols)
 Granite is an extension of GTK+. Among other things, it provides the
 commonly-used widgets such as modeswitchers, welcome screens, AppMenus,
 search bars, and more found in elementary apps.
 .
 This package contains debugging symbols.
