=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_makeshlibs:
	dh_makeshlibs -V 'libgranite0 (>= 0.1)'

override_dh_strip:
	dh_strip --dbg-package=libgranite0-dbg
