=== debian/watch ===
version=3
https://launchpad.net/granite/+download \
  http://launchpad.net/granite.*/granite-(.*)\.tar\.gz
