=== debian/changelog ===
granite (0.3.0~bzr734-1) experimental; urgency=low

  * New upstream bzr snapshot (Closes: #722522).
  * New maintainer (Closes: #748123).
  * debian/control:
    - Update package versions in Build-Depends.
    - Update package descriptions.
    - Drop gir1.2-glib-2.0, libgee-dev, dh-exec from Build-Depends.
    - Update Standards Version to 3.9.5:
      + Drop obsolete DM-Upload-Allowed flag.
    - Set myself as maintainer.
    - Rename libgranite0 to libgranite2.
    - Rename libgranite0-dbg to libgranite2-dbg.
    - Rename gir1.2-granite-0.1 to gir1.2-granite-1.0.
    - Add libgranite-common binary package.
    - Remove Multi-Arch field for libgranite-dev.
    - Update Depends and Recommends for libgranite2.
    - Update Depends for libgranite-dev.
  * debian/copyright:
    - Update licensing information.
    - Update copyright years.
    - Add new copyright holders.
  * Update symbols files.
  * Update debian/*.install files.
  * Drop debian/README.source.
  * Fix debian/watch.
  * debian/rules:
    - Build package with --parallel.
    - Use xz for compression.
    - Add --fail-missing to dh_install.
    - Set check level for dpkg-gensymbols to 1.
    - Set dbg-package for dh_strip to libgranite2-dbg.

 -- Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>  Thu, 22 May 2014 20:22:06 +0400

granite (0.1.0+dfsg-2) experimental; urgency=low

  * debian/control: set Multi-Arch field to foreign in gir1.2-granite-0.1
    package section.
  * debian/rules: use gobject-introspection debhelper sequence.
  * debian/control: set gobject-introspection minimum version to 1.31.0-2
    in Build-Depends field.
  * debian/control: add gir1.2-granite-0.1 (= ${binary:Version}) to
    libgranite-dev Depends field.
  * debian/copyright: update Format field.
  * Bump Standards-Version to 3.9.3.1.

  [ Luca Falavigna ]
  * debian/control: add DM-Upload-Allowed field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 02 Sep 2012 17:42:48 +0200

granite (0.1.0+dfsg-1) experimental; urgency=low

  * Initial release (Closes: #659539).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 09 Jun 2012 14:21:24 +0200
