=== debian/control ===
Source: granite
Section: libs
Priority: optional
Maintainer: Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               gobject-introspection (>= 1.31.0-2),
               libgee-0.8-dev,
               libgirepository1.0-dev,
               libgtk-3-dev (>= 3.3.14),
               valac (>= 0.20.1)
Standards-Version: 3.9.5
Homepage: https://launchpad.net/granite

Package: libgranite2
Architecture: any
Multi-Arch: same
Depends: libgranite-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: multiarch-support
Recommends: apport-hooks-elementary, contractor
Description: extension of GTK+ libraries
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains the shared library.

Package: libgranite-dev
Section: libdevel
Architecture: any
Depends: gir1.2-granite-1.0 (= ${binary:Version}),
         libgee-0.8-dev,
         libglib2.0-dev,
         libgranite2 (= ${binary:Version}),
         libgtk-3-dev (>= 3.3.14),
         ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: extension of GTK+ libraries (development files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains the static library and header files.

Package: gir1.2-granite-1.0
Section: introspection
Architecture: any
Multi-Arch: foreign
Depends: ${gir:Depends}, ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: extension of GTK+ libraries (introspection files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libgranite-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libgranite0 (>> 0.2~)
Conflicts: libgranite0 (>> 0.2~)
Pre-Depends: dpkg (>= 1.15.6)
Description: extension of GTK+ libraries (common files)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains common files needed by library.

Package: granite-demo
Section: misc
Architecture: any
Depends: libgranite2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: extension of GTK+ libraries (demo binary)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains a small demo application to show Granite Widgets.

Package: libgranite2-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libgranite2 (= ${binary:Version}), ${misc:Depends}
Description: extension of GTK+ libraries (debugging symbols)
 Granite is an extension of GTK+. Among other things, it provides
 complex widgets and convenience functions designed for use in apps
 built for elementary OS.
 .
 This package contains debugging symbols.
