=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://launchpad.net/granite/+download \
  https://launchpad.net/granite/.*/\+download/granite-(.*)\.ta?r?\.?gz
