## granite 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 include (ValaVersion)
 include (ValaPrecompile)
 
-ensure_vala_version ("0.20.1" MINIMUM)
+ensure_vala_version ("0.23.2" MINIMUM)
 
 #
 # Packages in PKG_DEPS are used with the vala compiler and other related tools (not versioned.)
@@ -45,7 +45,7 @@
     gee-0.8)
 
 set (PKG_DEPS_CHECK
-    gtk+-3.0>=3.3.14
+    gtk+-3.0>=3.11.6
     gio-unix-2.0
     gthread-2.0
     gee-0.8)
