=== icons/CMakeLists.txt ===
install(FILES 16x16/application-menu.svg DESTINATION share/icons/hicolor/16x16/actions/)
install(FILES 16x16/appointment.svg DESTINATION share/icons/hicolor/16x16/actions/)
install(FILES 22x22/application-menu.svg DESTINATION share/icons/hicolor/22x22/actions/)
install(FILES 24x24/application-menu.svg DESTINATION share/icons/hicolor/24x24/actions/)
install(FILES 24x24/appointment.svg DESTINATION share/icons/hicolor/24x24/actions/)
install(FILES 32x32/application-menu.svg DESTINATION share/icons/hicolor/32x32/actions/)
install(FILES 48x48/application-menu.svg DESTINATION share/icons/hicolor/48x48/actions/)
install(FILES scalable/application-menu-symbolic.svg DESTINATION share/icons/hicolor/scalable/actions/)
