=== debian/changelog ===
granite (0.3.0-2~experimental1ubuntu2) wily; urgency=medium

  * Include upstream patch to fix about dialog crash/implicit pointer
    conversion, causing FTBFS on 64-bit arches.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 22 Oct 2015 02:03:06 -0400

granite (0.3.0-2~experimental1ubuntu1) wily; urgency=medium

  * Cherrypick fixes from upstream for FTBFS with Vala 0.28.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 22 Oct 2015 01:38:51 -0400

granite (0.3.0-2~experimental1) experimental; urgency=low

  * Fix build on valac 0.25.2 and later by cherrypicking an upstream patch.
  * debian/control:
    - Update Standards Version to 3.9.6, no changes needed.
    - Do not pre-depend on multiarch-support directly.
    - Provide Vcs-Bzr and Vcs-Browser fields.
  * debian/copyright:
    - Fix short names for BSD licenses.
    - Supply the correct path to granite-demo .vala file.
    - Drop copyright info for nonexistent lib/GtkPatch/gtkpatch-utils.c

  [ Iain Lane ]
  * Install typelib files into MA libdir and build-depend on the version of
    gobject-introspection which started supporting this (Closes: #767090).

 -- Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>  Wed, 29 Oct 2014 23:47:21 +0300

granite (0.3.0-1~experimental1) experimental; urgency=low

  * New upstream release.
  * debian/control: update GTK+ dependency, 3.12+ is now required.
  * debian/watch: replace it with a better watch file written by Bart Martens.
  * debian/copyright: update copyright information for debian/watch.

 -- Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>  Mon, 26 May 2014 01:35:04 +0400
