=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: granite
 Section: libs
 Priority: optional
-Maintainer: Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>
 Build-Depends: cmake (>= 2.8),
                debhelper (>= 9),
-               gobject-introspection (>= 1.31.0-2),
+               gobject-introspection (>= 1.41.4-1~),
                libgee-0.8-dev,
                libgirepository1.0-dev,
-               libgtk-3-dev (>= 3.3.14),
+               libgtk-3-dev (>= 3.12),
                valac (>= 0.20.1)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+Vcs-Bzr: lp:~pantheon-debian/pantheon-debian/granite
+Vcs-Browser: https://code.launchpad.net/~pantheon-debian/pantheon-debian/granite
 Homepage: https://launchpad.net/granite
 
 Package: libgranite2
@@ -18,7 +21,7 @@
 Depends: libgranite-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Recommends: apport-hooks-elementary, contractor
 Description: extension of GTK+ libraries
  Granite is an extension of GTK+. Among other things, it provides
