=== demo/CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,21 @@
 set (LIB_PATHS ${DEPS_LIBRARY_DIRS})
 
 link_directories (${LIB_PATHS} ${CMAKE_CURRENT_BINARY_DIR}/../lib)
-add_definitions (${CFLAGS})
+add_definitions (${CFLAGS} "-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\"")
 
 set (EXEC_NAME ${PKG_NAME}-demo)
 
 vala_precompile (VALA_C ${EXEC_NAME}
     GraniteDemo.vala
+    Views/AlertViewView.vala
+    Views/AvatarView.vala
+    Views/DateTimePickerView.vala
+    Views/DynamicNotebookView.vala
+    Views/ModeButtonView.vala
+    Views/OverlayBarView.vala
+    Views/SourceListView.vala
+    Views/StorageView.vala
+    Views/ToastView.vala
 CUSTOM_VAPIS
     ${CMAKE_CURRENT_BINARY_DIR}/../lib/${PKG_NAME}.vapi
 PACKAGES
@@ -22,3 +31,4 @@
 add_executable (${EXEC_NAME} ${VALA_C})
 target_link_libraries (${EXEC_NAME} ${PKG_NAME} ${DEPS_LIBRARIES})
 install (TARGETS ${EXEC_NAME} RUNTIME DESTINATION bin)
+install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/granite-demo.desktop DESTINATION share/applications)
