=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # increase when you break the API
-set (PKG_SOVERSION 2)
+set (PKG_SOVERSION 3)
 
 # Increase when you add functionality
 set (PKG_SOMINOR 0.1)
@@ -19,6 +19,8 @@
     Services/ContractorProxy.vala
     Services/IconFactory.vala
     Services/SimpleCommand.vala
+    Widgets/AlertView.vala
+    Widgets/Avatar.vala
     Widgets/Utils.vala
     Widgets/WrapLabel.vala
     Widgets/AboutDialog.vala
@@ -32,6 +34,8 @@
     Widgets/CompositedWindow.vala
     Widgets/AppMenu.vala
     Widgets/Welcome.vala
+    Widgets/WelcomeButton.vala
+    Widgets/Toast.vala
     Widgets/ToolButtonWithMenu.vala
     Widgets/PopOver.vala
     Widgets/ContractorView.vala
@@ -40,6 +44,7 @@
     Widgets/LightWindow.vala
     Widgets/StatusBar.vala
     Widgets/SidebarPaned.vala
+    Widgets/StorageBar.vala
     Widgets/SourceList.vala
     Widgets/CellRendererExpander.vala
     Widgets/CellRendererBadge.vala
@@ -73,6 +78,12 @@
 link_directories (${LIB_PATHS})
 
 include_directories (${CMAKE_CURRENT_SOURCE_DIR}/Widgets)
+
+option (VAPI_COMMENTS "Include comments in the generated vapi file" OFF)
+
+if (VAPI_COMMENTS)
+    set (VALAC_OPTIONS ${VALAC_OPTIONS} --vapi-comments)
+endif ()
 
 vala_precompile (VALA_C ${PKG_NAME}
     ${VALA_SOURCES}
