=== debian/changelog ===
granite (0.4.1+r1068-1mx17+1) mx; urgency=medium

  * Rebuild for MX-17.
  * Convert to 3.0 (quilt) source format.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Sep 2017 17:25:25 -0700

granite (0.4.1+r1068+pkg87~ubuntu0.4.1) xenial; urgency=low

  * Auto build.

 -- Cody Garver <cody@elementaryos.org>  Sun, 07 May 2017 02:53:19 +0000

granite (0.4.1) xenial; urgency=medium

  * New upstream release.

 -- Cody Garver <cody@elementary.io>  Sat, 06 May 2017 21:47:25 -0500

granite (0.4.0.1) experimental; urgency=medium

  * New upstream release.

 -- Cody Garver <cody@elementary.io>  Sat, 06 Aug 2016 18:42:20 -0500

granite (0.4-1) experimental; urgency=medium

  * New upstream release.

 -- Cody Garver <cody@elementary.io>  Sun, 12 Jun 2016 16:18:29 -0500

granite (0.3.1-1) trusty; urgency=medium

  * New upstream release.

 -- Cody Garver <cody@elementary.io>  Thu, 20 Aug 2015 02:23:34 -0500
