=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: granite
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Sergey "Shnatsel" Davidoff <sergey@elementaryos.org>
 Build-Depends: cmake (>= 2.8),
                debhelper (>= 9),
@@ -9,13 +10,13 @@
                libgee-0.8-dev,
                libgirepository1.0-dev,
                libgtk-3-dev (>= 3.12),
-               valac (>= 0.20.1)
+               valac (>= 0.23.2)
 Standards-Version: 3.9.6
 Vcs-Bzr: lp:~pantheon-debian/pantheon-debian/granite
 Vcs-Browser: https://code.launchpad.net/~pantheon-debian/pantheon-debian/granite
 Homepage: https://launchpad.net/granite
 
-Package: libgranite2
+Package: libgranite3
 Architecture: any
 Multi-Arch: same
 Depends: libgranite-common (>= ${source:Version}),
@@ -36,7 +37,7 @@
 Depends: gir1.2-granite-1.0 (= ${binary:Version}),
          libgee-0.8-dev,
          libglib2.0-dev,
-         libgranite2 (= ${binary:Version}),
+         libgranite3 (= ${binary:Version}),
          libgtk-3-dev (>= 3.3.14),
          ${misc:Depends}
 Pre-Depends: dpkg (>= 1.15.6)
@@ -79,7 +80,7 @@
 Package: granite-demo
 Section: misc
 Architecture: any
-Depends: libgranite2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libgranite3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: extension of GTK+ libraries (demo binary)
  Granite is an extension of GTK+. Among other things, it provides
  complex widgets and convenience functions designed for use in apps
@@ -87,12 +88,12 @@
  .
  This package contains a small demo application to show Granite Widgets.
 
-Package: libgranite2-dbg
+Package: libgranite3-dbg
 Section: debug
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: libgranite2 (= ${binary:Version}), ${misc:Depends}
+Depends: libgranite3 (= ${binary:Version}), ${misc:Depends}
 Description: extension of GTK+ libraries (debugging symbols)
  Granite is an extension of GTK+. Among other things, it provides
  complex widgets and convenience functions designed for use in apps
