## granite 0.5%2Bds

=== demo/CMakeLists.txt ===
--- 
+++ 
@@ -13,13 +13,21 @@
     GraniteDemo.vala
     Views/AlertViewView.vala
     Views/AvatarView.vala
+    Views/CSSView.vala
     Views/DateTimePickerView.vala
     Views/DynamicNotebookView.vala
+    Views/MessageDialogView.vala
     Views/ModeButtonView.vala
     Views/OverlayBarView.vala
+    Views/SeekBarView.vala
     Views/SourceListView.vala
     Views/StorageView.vala
     Views/ToastView.vala
+    Views/WelcomeView.vala
+    Views/AsyncImageView.vala
+    Views/SettingsView/SettingsView.vala
+    Views/SettingsView/SettingsPage.vala
+    Views/SettingsView/SimpleSettingsPage.vala
 CUSTOM_VAPIS
     ${CMAKE_CURRENT_BINARY_DIR}/../lib/${PKG_NAME}.vapi
 PACKAGES
