=== debian/changelog ===
granite (0.5+ds-1) experimental; urgency=medium

  * New upstream release.
  * Reintroduce package (Closes: #872919).
  * Bump Standards-Version to 4.1.3.
  * Move Vcs to Salsa platform.
  * Bump debhelper compat to v11.
  * Update debian/copyright.
  * Remove cmake/ParseArguments.cmake.

 -- Yangfl <mmyangfl@gmail.com>  Tue, 23 Jan 2018 17:42:51 +0800
