## granite 0.5+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 project (granite C)
 
 set (PKG_NAME ${CMAKE_PROJECT_NAME})
-set (PKG_VERSION 0.4.1)
+set (PKG_VERSION 0.5)
 set (API_VERSION 1.0)
 
 # Used to create GObject introspection files
