=== icons/CMakeLists.txt ===
install(FILES 16x16/open-menu.svg DESTINATION share/icons/hicolor/16x16/actions/)
install(FILES 16x16/appointment.svg DESTINATION share/icons/hicolor/16x16/actions/)
install(FILES 22x22/open-menu.svg DESTINATION share/icons/hicolor/22x22/actions/)
install(FILES 24x24/open-menu.svg DESTINATION share/icons/hicolor/24x24/actions/)
install(FILES 24x24/appointment.svg DESTINATION share/icons/hicolor/24x24/actions/)
install(FILES 32x32/open-menu.svg DESTINATION share/icons/hicolor/32x32/actions/)
install(FILES 48x48/open-menu.svg DESTINATION share/icons/hicolor/48x48/actions/)
install(FILES scalable/open-menu-symbolic.svg DESTINATION share/icons/hicolor/scalable/actions/)
