=== debian/changelog ===
granite (0.5+ds-3) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4 (no changes needed).
  * Use team+pkg-deepin@tracker.debian.org in maintainer field.
  * d/rules: Use "dh-missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Fri, 20 Apr 2018 17:46:08 +0800

granite (0.5+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * Apply "wrap-and-sort -abst".

 -- Boyuan Yang <073plan@gmail.com>  Sat, 31 Mar 2018 18:27:53 +0800
