## granite 5.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,30 +5,22 @@
 project (granite C)
 
 set (PKG_NAME ${CMAKE_PROJECT_NAME})
-set (PKG_VERSION 0.5)
+set (PKG_VERSION 5.0)
 set (API_VERSION 1.0)
 
 # Used to create GObject introspection files
-set (PKG_GIR_NAME Granite)
+set (PKG_GIR_NAME Granite-${API_VERSION})
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/)
 
 set (RESOURCES_DIR ${CMAKE_INSTALL_PREFIX}/share/${PKG_NAME}/)
 set (GETTEXT_PACKAGE ${PKG_NAME})
 
-set (CPACK_PACKAGE_VERSION ${PKG_VERSION})
-set (CPACK_SOURCE_GENERATOR "TGZ")
-set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION}")
-set (CPACK_SOURCE_IGNORE_FILES "/build/;/.bzr/;/.bzrignore;~$;${CPACK_SOURCE_IGNORE_FILES}")
-
-include (CPack)
-add_custom_target (dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
-
 find_package (Vala REQUIRED)
 include (ValaVersion)
 include (ValaPrecompile)
 
-ensure_vala_version ("0.23.2" MINIMUM)
+ensure_vala_version ("0.40" MINIMUM)
 
 #
 # Packages in PKG_DEPS are used with the vala compiler and other related tools (not versioned.)
@@ -45,7 +37,7 @@
     gee-0.8)
 
 set (PKG_DEPS_CHECK
-    gtk+-3.0>=3.14
+    gtk+-3.0>=3.22
     gio-unix-2.0
     gthread-2.0
     gee-0.8)
@@ -58,8 +50,9 @@
 pkg_check_modules (DEPS REQUIRED ${PKG_DEPS_CHECK})
 
 set (VALAC_OPTIONS
-     --thread
-     --target-glib=2.32)
+     --abi-stability
+     --hide-internal
+     --target-glib=2.50)
 
 if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     set (VALAC_OPTIONS ${VALAC_OPTIONS} --define=LINUX)
