=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # increase when you break the API
-set (PKG_SOVERSION 4)
+set (PKG_SOVERSION 5)
 
 # Increase when you add functionality
 set (PKG_SOMINOR 0)
@@ -89,6 +89,8 @@
     ${PKG_DEPS}
 GENERATE_HEADER
     ${PKG_NAME}
+GENERATE_GIR
+    ${PKG_GIR_NAME}
 GENERATE_VAPI
     ${PKG_NAME}
 CUSTOM_VAPIS
@@ -122,5 +124,7 @@
 
 if (INTROSPECTION_FOUND)
     include (GObjectIntrospectionMacros)
-    add_target_gir (${PKG_NAME} ${PKG_GIR_NAME} ${PKG_NAME}.h "${VALA_C}" "${DEPS_CFLAGS}" ${API_VERSION} ${GI_PKG_DEPS})
+    add_custom_command(TARGET ${PKG_NAME} COMMAND ${INTROSPECTION_COMPILER} ${CMAKE_CURRENT_BINARY_DIR}/${PKG_GIR_NAME}.gir -o ${CMAKE_CURRENT_BINARY_DIR}/${PKG_GIR_NAME}.typelib)
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_GIR_NAME}.gir DESTINATION ${INTROSPECTION_GIRDIR})
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PKG_GIR_NAME}.typelib DESTINATION ${INTROSPECTION_TYPELIBDIR})
 endif ()
