## granite 5.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 project (granite C)
 
 set (PKG_NAME ${CMAKE_PROJECT_NAME})
-set (PKG_VERSION 5.0)
+set (PKG_VERSION 5.1.0)
 set (API_VERSION 1.0)
 
 # Used to create GObject introspection files
