=== debian/changelog ===
granite (5.1.0-2) unstable; urgency=medium

  * Add patch to set the shared-library attribute in generated typelib.
    (Closes: #911911)

 -- Yangfl <mmyangfl@gmail.com>  Sat, 27 Oct 2018 15:45:01 +0800

granite (5.1.0-1) unstable; urgency=medium

  * New upstream release 5.1.0-1.
  * Bump Standards-Version to 4.2.1 (no changes needed).
  * Update my uploader email address.
  * Update library symbols accordingly.

 -- Boyuan Yang <byang@debian.org>  Sat, 01 Sep 2018 09:38:50 -0400

granite (5.0+ds-2) unstable; urgency=medium

  * Release to unstable.
  * Revert maintainer address to pkg-deepin-devel mailing list.
  * Bump Standards-Version to 4.1.5.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 07 Jul 2018 11:04:13 +0800

granite (5.0+ds-1) experimental; urgency=medium

  * New upstream release.

 -- Yangfl <mmyangfl@gmail.com>  Wed, 20 Jun 2018 23:14:19 +0800
